package com.inspect.base.core.enums;

/**
 * @author WGY
 * resStatus告警确认状态: 0-未确认 1-已确认 2-已撤销
 * @create 2026-03-27 15:53
 **/
public enum ResStatusEnum {
    UNCONFIRM("0", "未确认"),
    CONFIRM("1", "已确认"),
    CANCEL("2", "已撤销"),
    CORRECT("3", "需要纠偏"),
    CORRECTED("4", "完成纠偏");


    private final String code;
    private final String info;

    ResStatusEnum(String code, String info) {
        this.code = code;
        this.info = info;
    }

    public String getCode() {
        return this.code;
    }

    public String getInfo() {
        return this.info;
    }
}
